*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: "Inter", sans-serif;
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

ul,
ol {
  list-style: none;
  padding: 0;
  margin: 0;
}

a {
  text-decoration: none;
  color: inherit;
  transition: 0.2s ease;
}

img {
  max-width: 100%;
  display: block;
}

button,
input,
textarea,
select {
  font: inherit;
  outline: none;
  border: none;
  background: none;
}

button {
  cursor: pointer;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}

p {
  color: #4d4d4d;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px; /* 175% */
}

.container {
  margin: 0 auto;
  padding: 0 16px;
  max-width: 1344px;
}

header {
  padding: 20px 0;
  background: inherit;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1000;
}

header .container,
.hero .container {
  max-width: 1360px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.btn-primary {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  padding: 12px 26px;

  border-radius: 8px;
  background: #fff;

  color: #000;
  font-family: "Instrument Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px; /* 150% */
  transition: all 0.3s ease;
}

header .btn-primary {
  width: 192px;
}

header .btn-primary:hover {
  background: #36503f;
  color: #f8fa8d;
}

.btn-primary svg path {
  transition: all 0.3s ease;
}

header .btn-primary:hover svg path {
  fill: #f8fa8d;
}

.hero {
  padding: 250px 0 210px 0;
  background:
    linear-gradient(180deg, #000 0%, rgba(0, 0, 0, 0) 22%),
    linear-gradient(0deg, #000 0%, rgba(0, 0, 0, 0) 50%),
    linear-gradient(90deg, rgba(0, 0, 0, 0.88) 0%, rgba(0, 0, 0, 0.63) 29%, rgba(0, 0, 0, 0) 63%),
    linear-gradient(270deg, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0.84) 26%, rgba(0, 0, 0, 0) 49%),
    url("./img/hero.png") calc(50% + 140px) center / cover no-repeat;
  background-size: 130%;

  display: flex;

  align-items: center;
}

@media (max-width: 1399px) {
  .hero {
    padding: 250px 0 210px 0;
    background:
      linear-gradient(180deg, #000 0%, rgba(0, 0, 0, 0) 22%),
      linear-gradient(0deg, #000 0%, rgba(0, 0, 0, 0) 50%),
      linear-gradient(90deg, rgba(0, 0, 0, 0.88) 0%, rgba(0, 0, 0, 0.63) 29%, rgba(0, 0, 0, 0) 63%),
      linear-gradient(270deg, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0.84) 26%, rgba(0, 0, 0, 0) 49%),
      url("./img/hero.png") calc(50% + 140px) center / cover no-repeat;
    background-size: 140%;
  }
}

@media (min-width: 1799px) {
  .hero {
    padding: 250px 0 210px 0;
    background:
      linear-gradient(180deg, #000 0%, rgba(0, 0, 0, 0) 22%),
      linear-gradient(0deg, #000 0%, rgba(0, 0, 0, 0) 50%),
      linear-gradient(90deg, rgba(0, 0, 0, 0.88) 0%, rgba(0, 0, 0, 0.63) 29%, rgba(0, 0, 0, 0) 63%),
      linear-gradient(270deg, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0.84) 26%, rgba(0, 0, 0, 0) 49%),
      url("./img/hero.png") calc(40% + 180px) 22% / cover no-repeat;
    background-size: 130%;
  }
}

.hero .container {
  width: 100%;
}

.hero .info {
  max-width: 520px;
}

h1 {
  color: #fff;
  font-family: "Instrument Sans", sans-serif;
  font-size: 56px;
  font-style: normal;
  font-weight: 400;
  line-height: 64px; /* 114.286% */
  letter-spacing: -1.8px;
  margin-bottom: 32px;
}

.btn-wrapper {
  display: flex;
  gap: 16px;
  margin-bottom: 60px;
}

.btn-primary.transparent {
  background: transparent;
  border: 1px solid #f8fa8d;
  color: #f8fa8d;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: 25px; /* 171.656% */
}

.btn-primary.transparent:hover {
  background: #f8fa8d;
  color: #070515;
}

.btn-primary.transparent:hover svg path {
  fill: #070515;
}

.btn-primary.yellow {
  background: #f8fa8d;
  border: 1px solid #f8fa8d;
  color: #000;
  font-size: 15.1px;
  font-style: normal;
  font-weight: 400;
  line-height: 25.92px; /* 171.656% */
}

.btn-primary.yellow:hover {
  background: transparent;
  color: #f8fa8d;
}

.btn-primary.yellow:hover svg path {
  fill: #f8fa8d;
}

.devider {
  width: 100%;
  height: 1px;
  background: rgba(255, 255, 255, 0.3);
  margin-bottom: 48px;
}

.hero p {
  color: #fff;
}

ul.nav {
  display: flex;
  flex-direction: column;
  gap: 28px;
}

ul.nav li {
  text-align: right;
}

ul.nav a {
  color: rgba(255, 255, 255, 0.5);
  font-family: "Instrument Sans", sans-serif;
  font-size: 36px;
  font-style: normal;
  font-weight: 400;
  line-height: 44px; /* 122.222% */
  transition: all 0.4s ease;
  position: relative;
}

ul.nav a::before {
  content: "";
  width: 24px;
  height: 24px;
  background: url("./img/ico.svg");
  position: absolute;
  left: -36px;
  top: 50%;
  transform: translateY(-50%);
  opacity: 0;
}

ul.nav a:hover {
  color: #fff;
  font-size: 56px;
  font-style: normal;
  font-weight: 400;
  line-height: 64px; /* 114.286% */
}

ul.nav a:hover::before {
  opacity: 1;
}

.about {
  padding: 120px 0;
  border-radius: 40px;
  background: #f5f5f5;
  margin-top: -48px;
  background-repeat: no-repeat;
  background-position: right bottom;
  position: relative;
  z-index: 9;
  overflow: hidden;
}

.about::before {
  content: url("./img/leaf.png");
  position: absolute;
  right: 125px;
  bottom: -72px;
}

.about .container {
  display: flex;
  justify-content: space-between;
  gap: 60px;
  align-items: flex-end;
}

.about .info {
  max-width: 630px;
}

h2 {
  color: #000;
  font-family: "Instrument Sans", sans-serif;
  font-size: 44px;
  font-style: normal;
  font-weight: 400;
  line-height: 52px; /* 118.182% */
  letter-spacing: -1.8px;
  margin-bottom: 32px;
}

.about p {
  margin-bottom: 60px;
}

.btn-primary.green {
  background: #36503f;
  border: 1px solid #36503f;
  color: #f8fa8d;
  width: fit-content;
}

.btn-primary.green:hover {
  background: transparent;
  color: #36503f;
}

.btn-primary.green:hover svg path {
  fill: #36503f;
}

.about .image-wrapper {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.about-icon {
  position: absolute;
}

.border-about {
  animation: rotateText 20s linear infinite;
}

@keyframes rotateText {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.solutions {
  padding: 120px 0 160px 0;
}

.solutions .container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.label {
  color: #36503f;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px; /* 171.429% */
  letter-spacing: 1.4px;
  text-transform: uppercase;
  margin-bottom: 10px;
}

.solutions h2 {
  margin-bottom: 40px;
}

.services-row {
  display: flex;
  gap: 16px;
}

/* CARD */
.service-card {
  width: 168px;
  height: 330px;

  background: #f5f5f5;
  border-radius: 20px;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  transition: all 0.4s ease;
  cursor: pointer;
}

/* ACTIVE */
.service-card.active {
  width: 560px;
}

/* TOP */
.service-card .top {
  display: flex;
  flex-direction: column;
  padding: 40px 20px;
  border-bottom: 1px solid rgba(0, 0, 0, 0);
}

.service-card.active .top {
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.service-card .top-wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.service-card .bottom {
  padding: 40px 20px;
  overflow: hidden;
}

/* NUMBER */
.num {
  color: #36503f;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px; /* 171.429% */
  text-transform: uppercase;
}

/* TITLE */
.service-card h3 {
  color: #000;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px; /* 155.556% */
  letter-spacing: -0.6px;
  transition: 0.3s;
}

/* DESCRIPTION */
.desc {
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  transition: 0.5s ease;
}

/* ACTIVE DESC */
.service-card.active .desc {
  opacity: 1;
  max-height: 200px;
}

.service-card .bottom h3 {
  opacity: 1;
}

.service-card.active .bottom h3 {
  opacity: 0;
}

.service-card .top h3 {
  opacity: 0;
}

.service-card.active .top h3 {
  opacity: 1;
}

/* TITLE POSITION */
.service-card:not(.active) h3 {
  margin-top: auto;
}

/* LINE */
.line {
  position: absolute;
  bottom: -40px;
  left: 0;
  height: 8px;
  width: 100%;
  border-radius: 50px;
  background: rgba(54, 80, 63, 0.1);
  transition: 0.3s;
}

/* ACTIVE LINE */
.service-card.active .line {
  background: #36503f;
}

.mission {
  padding: 120px 0;
  background: #f5f5f5;
  border-radius: 40px 40px 0 0;
}

.mission .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 40px;
}

.mission .info {
  max-width: 630px;
  position: relative;
}

img.vector {
  position: absolute;
  top: -54px;
  right: 32px;
}

.mission h2 {
  margin-bottom: 40px;
}

.mission .devider {
  background: rgba(0, 0, 0, 0.1);
  margin-bottom: 20px;
}

.mission .subtitle {
  color: #4d4d4d;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 32px; /* 160% */
  margin-bottom: 20px;
}

.contacts {
  padding: 120px 0;
  background:
    radial-gradient(77.97% 67.85% at 70.66% 50%, #f8fa8d 0.12%, rgba(248, 250, 141, 0) 55%), #f5f5f5;
  position: relative;
  overflow: hidden;
}

.contacts .container {
  display: flex;
  justify-content: space-between;
  gap: 40px;
  position: relative;
}

.contacts .container::before {
  content: url("./img/leaf.png");
  position: absolute;
  left: 140px;
  bottom: -220px;
  opacity: 0.2;
}

.contacts .text {
  max-width: 560px;
}

.contacts h2 {
  margin-bottom: 10px;
}

.contacts .text p {
  color: #36503f;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 32px; /* 160% */
}

.contact-form {
  max-width: 632px;
  width: 100%;
  padding: 40px 40px 20px 40px;
  border-radius: 20px;
  background: #fff;
  display: flex;
  flex-direction: column;
  gap: 24px;
  position: relative;
  z-index: 9;
}

.contact-form .row {
  display: flex;
  justify-content: space-between;
  gap: 24px;
}

.contact-form .field {
  display: flex;
  flex-direction: column;
  gap: 8px;
  width: 100%;
}

.contact-form label {
  color: #36503f;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px; /* 166.667% */
  text-transform: uppercase;
}

.contact-form input,
.contact-form textarea {
  display: flex;
  padding: 10px 16px;
  border-radius: 10px;
  border: 1px solid rgba(0, 0, 0, 0.1);

  color: #4d4d4d;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px; /* 175% */
}

.contact-form input:focus,
.contact-form textarea:focus {
  border-color: #36503f;
}

.contact-form textarea {
  height: 146px;
}

.btn-submit {
  padding: 12px;
  border-radius: 8px;
  background: #36503f;
  border: 1px solid #36503f;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;

  color: #f8fa8d;
  font-family: "Instrument Sans", sans-serif;
  font-size: 15.1px;
  font-style: normal;
  font-weight: 400;
  line-height: 25.92px; /* 171.656% */
  transition: all 0.3s ease;
}

.btn-submit svg path {
  transition: all 0.3s ease;
}

.btn-submit:hover {
  background: transparent;
  color: #36503f;
}

.btn-submit:hover svg path {
  fill: #36503f;
}

.footer {
  padding: 60px 0 40px 0;
  border-radius: 40px 40px 0 0;
  background: #26382c;
}

.footer .container {
  display: flex;
  justify-content: space-between;
}

.footer .col-left {
  max-width: 350px;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.col-left a {
  width: fit-content;
}

.yellow-text {
  color: #f8fa8d;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px; /* 171.429% */
}

.policy {
  color: #fff;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px; /* 171.429% */
}

.footer-mail {
  display: flex;
  align-items: center;
  gap: 12px;
  color: #fff;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px; /* 155.556% */
}

.col-center {
  display: flex;
  align-items: flex-end;
}

.arrow-wrap {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 32px;
  height: 32px;
  border-radius: 999px;
  background: #36503f;
}

.footer-mail a {
  border-bottom: 1px solid rgba(0, 0, 0, 0);
}

.footer-mail:hover a {
  color: #f8fa8d;
  border-bottom: 1px solid #f8fa8d;
}

.footer-mail:hover .mail path {
  stroke: #fff;
}

.footer-mail:hover svg path {
  stroke: #fff;
}

.footer-nav {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: stretch;
}

.footer-nav a {
  color: rgba(255, 255, 255, 0.5);
  font-family: "Instrument Sans", sans-serif;
  font-size: 36px;
  font-style: normal;
  font-weight: 400;
  line-height: 44px; /* 122.222% */
  transition: all 0.3s ease;
}

.footer-nav a:hover {
  color: #fff;
}

.mobile-btn {
  display: none;
}

.mobile-nav {
  display: none;
}

.toggle-btn {
  display: none;
  flex-direction: column;
  gap: 5px;
  background: none;
  border: none;
  cursor: pointer;
}

.toggle-btn span {
  width: 20px;
  height: 2px;
  background: #fff;
  display: block;
  transition: 0.3s;
}

.policy.mobile {
  display: none;
}

.form-status {
  transition: 0.3s ease;
  text-align: center;
}

.form-status.success {
  color: #22c55e;
}

.form-status.error {
  color: #ef4444;
}

@media (max-width: 768px) {
  .no-scroll {
    overflow: hidden;
  }

  header {
    padding: 15px 0;
  }

  .desk-btn {
    display: none;
  }

  .hero .nav {
    display: none;
  }

  .toggle-btn {
    display: block;
  }

  .toggle-btn {
    display: flex;
    position: relative;
    z-index: 99;
  }

  .mobile-nav {
    display: flex;
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 100vh;
    flex-direction: column;
    align-items: center;
    gap: 44px;
    transition: 0.4s ease;

    border-radius: 0 0 20px 20px;
    background: #26382c;
    padding: 140px 60px 0;
  }

  .mobile-nav.active {
    right: 0;
  }

  .mobile-nav li a {
    color: rgba(255, 255, 255, 0.5);
    font-family: "Instrument Sans", sans-serif;
    font-size: 36px;
    font-style: normal;
    font-weight: 400;
    line-height: 44px; /* 122.222% */
  }

  .mobile-btn {
    display: inline-flex;
    margin-top: 20px;
  }

  .toggle-btn.toggled span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
  }

  .toggle-btn.toggled span:nth-child(2) {
    opacity: 0;
  }

  .toggle-btn.toggled span:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -5px);
  }

  .logo {
    z-index: 999;
  }

  .hero {
    padding: 260px 0 40px 0;

    background:
      linear-gradient(180deg, #000 0%, rgba(0, 0, 0, 0) 22%),
      linear-gradient(0deg, #000 0%, rgba(0, 0, 0, 0) 50%),
      linear-gradient(90deg, rgba(0, 0, 0, 0.88) 0%, rgba(0, 0, 0, 0.63) 29%, rgba(0, 0, 0, 0) 63%),
      linear-gradient(270deg, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0.84) 26%, rgba(0, 0, 0, 0) 49%),
      url("./img/hero-mobile.png") center/ cover no-repeat;
    min-height: 100vh;
    display: flex;
    align-items: center;
  }

  h1 {
    color: #fff;
    font-size: 44px;
    line-height: 52px;
    margin-bottom: 20px;
  }

  .btn-wrapper {
    flex-direction: column;
    gap: 16px;
    margin-bottom: 20px;
  }

  .devider {
    margin-bottom: 20px;
  }

  .hero .info p {
    font-size: 14px;
    line-height: 24px;
  }

  .about {
    padding: 60px 0;
    border-radius: 20px;
    margin-top: -20px;
    background-repeat: no-repeat;
    background-position: right bottom;
    position: relative;
    z-index: 9;
    overflow: hidden;
  }

  .about .container {
    flex-direction: column;
    align-items: flex-start;
  }

  .about::before {
    content: url("./img/leaf-mobile.png");
    position: absolute;
    right: 0px;
    bottom: -6px;
    z-index: -1;
  }

  p {
    font-size: 14px;
    line-height: 24px;
  }

  .solutions {
    padding: 40px 0 60px 0;
  }

  h2 {
    font-size: 32px;
    line-height: 40px;
  }

  .services-row {
    flex-direction: column;
    gap: 20px;
  }

  .service-card,
  .service-card.active {
    width: 100%;
    height: auto;
  }

  .service-card .top {
    padding: 20px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  }

  .service-card .bottom {
    padding: 20px;
  }

  .service-card.active .bottom h3 {
    display: none;
  }

  .service-card .top h3 {
    opacity: 1;
  }

  .service-card .bottom h3 {
    display: none;
  }

  .desc {
    opacity: 1;
    max-height: fit-content;
  }

  .service-card .line {
    display: none;
  }

  .mission {
    padding: 40px 0;
    background: #f5f5f5;
    border-radius: 20px 20px 0 0;
  }

  .mission .container {
    flex-direction: column-reverse;
  }

  .mission h2 {
    margin-bottom: 32px;
  }

  .mission .vector {
    display: none;
  }

  .mission .devider {
    margin-bottom: 16px;
  }

  .mission .subtitle {
    color: #4d4d4d;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 26px;
    margin-bottom: 16px;
  }

  .contacts {
    padding: 40px 0;
    background:
      radial-gradient(281% 46.06% at 50.13% 61.49%, #f8fa8d 0.12%, rgba(248, 250, 141, 0) 78.86%),
      linear-gradient(0deg, #f5f5f5 0%, #f5f5f5 100%), #fff;
  }

  .contacts .container {
    flex-direction: column;
    gap: 40px;
  }

  .contacts::before {
    content: none;
  }

  .contacts .text {
    text-align: center;
  }

  .contacts .text p {
    text-align: center;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 28px; /* 175% */
  }

  .contact-form {
    max-width: 632px;
    width: 100%;
    padding: 20px 20px 10px 20px;
    border-radius: 20px;
  }

  .contact-form .row {
    flex-direction: column;
    gap: 24px;
  }

  .contact-form input,
  .contact-form textarea {
    font-size: 14px;
    line-height: 24px;
  }

  .contact-form textarea {
    height: 120px;
  }

  .footer {
    padding: 40px 0;
    border-radius: 20px 20px 0 0;
  }

  .footer .container {
    flex-direction: column;
    gap: 40px;
  }

  .footer-nav {
    gap: 28px;
  }

  .footer-nav a {
    font-size: 24px;
    line-height: 32px;
  }

  .col-center {
    display: flex;
    flex-direction: column;
    gap: 40px;
    align-items: flex-start;
    order: 2;
  }

  .col-right {
    order: 1;
  }

  .policy.desk {
    display: none;
  }

  .policy.mobile {
    display: block;
  }
}
